'use client';

import { AuthGuard } from '@/contexts/auth/guard';
import DashboardLayout from '@/shared/layouts/dashboard';
import { LocalizationProvider } from '@/shared/locales';

// ----------------------------------------------------------------------

type Props = {
  children: React.ReactNode;
};

export default function Layout({ children }: Props) {
  return (
    <AuthGuard>
      <LocalizationProvider >
        <DashboardLayout>{children}</DashboardLayout>
      </LocalizationProvider>
    </AuthGuard>
  );
}
