import { paths } from "@/routes/paths";

// API
// ----------------------------------------------------------------------
export const ASSETS_API = process.env.NEXT_PUBLIC_ASSETS_API;
export const WEB_SOCKET_URL = process.env.NEXT_PUBLIC_WEB_SOCKET_URL;
export const DEFAULT_IMAGE_URL = process.env.NEXT_PUBLIC_DEFAULT_IMAGE_URL;

// GATEWAY API 
export const GATEWAY_API_URL = process.env.NEXT_PUBLIC_MYDRESSIN_GATEWAY_API_URL;
export const MYDRESSIN_CLIENT_URL = process.env.NEXT_PUBLIC_MYDRESSIN_CLIENT_URL;

export const FIREBASE_API = {
  apiKey: process.env.NEXT_PUBLIC_FIREBASE_API_KEY,
  authDomain: process.env.NEXT_PUBLIC_FIREBASE_AUTH_DOMAIN,
  projectId: process.env.NEXT_PUBLIC_FIREBASE_PROJECT_ID,
  storageBucket: process.env.NEXT_PUBLIC_FIREBASE_STORAGE_BUCKET,
  messagingSenderId: process.env.NEXT_PUBLIC_FIREBASE_MESSAGING_SENDER_ID,
  appId: process.env.NEXT_PUBLIC_FIREBASE_APPID,
  measurementId: process.env.NEXT_PUBLIC_FIREBASE_MEASUREMENT_ID,
  vapiKey: process.env.NEXT_PUBLIC_FIREBASE_V_API_KEY
};

export const AMPLIFY_API = {
  userPoolId: process.env.NEXT_PUBLIC_AWS_AMPLIFY_USER_POOL_ID,
  userPoolWebClientId:
    process.env.NEXT_PUBLIC_AWS_AMPLIFY_USER_POOL_WEB_CLIENT_ID,
  region: process.env.NEXT_PUBLIC_AWS_AMPLIFY_REGION,
};

export const AUTH0_API = {
  clientId: process.env.NEXT_PUBLIC_AUTH0_CLIENT_ID,
  domain: process.env.NEXT_PUBLIC_AUTH0_DOMAIN,
  callbackUrl: process.env.NEXT_PUBLIC_AUTH0_CALLBACK_URL,
};

export const SUPABASE_API = {
  url: process.env.NEXT_PUBLIC_SUPABASE_URL,
  key: process.env.NEXT_PUBLIC_SUPABASE_ANON_KEY,
};

export const MAPBOX_API = process.env.NEXT_PUBLIC_MAPBOX_API;

// ROOT PATH AFTER LOGIN SUCCESSFUL
export const PATH_AFTER_LOGIN = paths.dashboard.root;
export const PATH_AFTER_LOGIN_DRIVER = paths.dashboard.driver.listSupplierOrder; 
export const PATH_AFTER_LOGIN_LIVE_MANAGER = paths.dashboard.admin.live.all_lives; 
export const PATH_AFTER_LOGIN_SALES_MANAGER = paths.dashboard.admin.order.all_orders; 
export const PATH_AFTER_LOGIN_STOCK_MANAGER = paths.dashboard.admin.product.root; 
export const PATH_AFTER_LOGIN_GESTIONNAIRE_DE_PRECO = paths.dashboard.admin.product.root;
export const PATH_AFTER_LOGIN_GESTIONNAIRE_RETOUR = paths.dashboard.admin.order.all_orders; 

// ROOT PATH AFTER LOGIN SUCCESSFUL FOR CHATBOT
export const PATH_AFTER_LOGIN_LEADER = paths.dashboard.chatbot.ticket.root;
export const PATH_AFTER_LOGIN_SUPPORT = paths.dashboard.chatbot.support.root;




export const ENCRYPTION_KEY = process.env.NEXT_ENCRYPTION_KEY ?? 'market1ngconf0rT';
export const ENCRYPTION_IV = process.env.NEXT_ENCRYPTION_IV ?? 'mark5t1ngconf0rT';