'use client';

import { createContext } from 'react';
import { ILiveProduct } from '@/shared/types/live';

type LiveProductsContextType = {
    products: ILiveProduct[];
    productsLoading: boolean;
    productsError: string | null;
    addProductToLiveFunction: (product: ILiveProduct, setLoading?: (loading: boolean) => void) => void;
    deleteProductFromLiveFunction: (productId: string, setLoading?: (loading: boolean) => void) => void;
    presentProductInLiveFunction: (productId: string, liveId: string, startTime: number, setLoading?: (loading: boolean) => void) => void;
    pushProductToLiveFunction: (productId: string, liveId: string, startTime: number, setLoading?: (loading: boolean) => void) => void;
    hideProductFromLiveFunction: (productId: string , endTime: number, setLoading?: (loading: boolean) => void) => void;
    addTimeStampProductFunction: (productId: string, startTime: number, endTime: number, setLoading?: (loading: boolean) => void) => void;
    deleteTimeStampProductFunction: (productId: string, timeStampId: string, setLoading?: (loading: boolean) => void) => void;
    updateTimeStampProductFunction: (productId: string, id: string, startTime: number, endTime: number, setLoading?: (loading: boolean) => void) => void;
};
export const LiveProductsContext = createContext({} as LiveProductsContextType);
