// ----------------------------------------------------------------------

import { number } from "yup";

export type IProductFilterValue = string | string[] | number | number[];

export type IProductFilters = {
  rating: string;
  gender: string[];
  category: string;
  colors: string[];
  priceRange: number[];
};

// ----------------------------------------------------------------------

export type IProductReviewNewForm = {
  rating: number | null;
  review: string;
  name: string;
  email: string;
};

export type IProductReview = {
  id: string;
  name: string;
  rating: number;
  comment: string;
  helpful: number;
  avatarUrl: string;
  isPurchased: boolean;
  attachments?: string[];
  postedAt: Date;
};

export type IProductItem = {
  id: string;
  sku: string;
  name: string;
  code: string;
  price: number;
  taxes: number;
  tags: string[];
  gender: string;
  sizes: string[];
  publish: string;
  coverUrl: string;
  images: string[];
  colors: string[];
  quantity: number;
  category: string;
  available: number;
  totalSold: number;
  description: string;
  totalRatings: number;
  totalReviews: number;
  inventoryType: string;
  subDescription: string;
  priceSale: number | null;
  reviews: IProductReview[];
  createdAt: Date;
  ratings: {
    name: string;
    starCount: number;
    reviewCount: number;
  }[];
  saleLabel: {
    enabled: boolean;
    content: string;
  };
  newLabel: {
    enabled: boolean;
    content: string;
  };
};

export type productsItems ={
      id: number,
      ugs: string,
      name: string,
      description: string,
      shortDescription: string,
      images: string[],
      type: string ,
      regularPrice: number,
      promoPrice: number,
      commandRep:string,
      stockAlertThreshold: number,
      stockQuantity: number,
      poids: number,
      longueurP: number,
      largeurP: number,
      hauteurP: number,
      classeExpedition: string,
      publierWeb: boolean,
      publierLive: boolean,
      webConfiguration: string,
      liveConfiguration: string,
      category: {
        id: number,
        nom: string,
        slug: string,
        description: string,
        parent: null,
        typeAffichage: string,
        image: string
      },
      tags: [
        {
          id: number,
          nom: string,
          slug: string,
          description: string
        }
      ]
    
}


    


export type IProductTableFilterValue = string | string[];

export type IProductTableFilters = {
  stock: string[];
  publish: string[];
};
