import { usePathname } from 'next/navigation';

// ----------------------------------------------------------------------



export function useActiveLink(path: string, children : any): boolean {
  const pathname = usePathname();
  
  const checkPath = path.startsWith('#');

  const currentPath = path === '/' ? '/' : path.endsWith('/') ? path.slice(0, -1) : path;
  
  const normalActive = !checkPath && pathname === currentPath;
  
  if(children) {
    let checker = false;

    if(children.length > 0) {
      children.map((child: any) => {
        if(child.path === pathname) {
          checker = true;
        }
      })
    }
    return checker || normalActive;
  }
  return normalActive;
}
