import CartConfiguration from "@/app/dashboard/cart/CartCountConfiguration/page";

const ROOTS = {
  AUTH: "/auth",
  DASHBOARD: "/dashboard",
};

export const paths = {
  minimalUI: "https://mui.com/store/items/minimal-dashboard/",
  // AUTH
  auth: {
    jwt: {
      login: `${ROOTS.AUTH}/jwt/login`,
      register: `${ROOTS.AUTH}/jwt/register`,
    },
  },
  // DASHBOARD
  dashboard: {
    root: ROOTS.DASHBOARD,
    admin: {
      root: `${ROOTS.DASHBOARD}/admin`,
      productStatistics : `${ROOTS.DASHBOARD}/admin/productStatistics`,
      userStatistics :  `${ROOTS.DASHBOARD}/admin/userStatistics`,
      liveStatistics : `${ROOTS.DASHBOARD}/admin/liveStatistics`,
      chiffreStatistics : `${ROOTS.DASHBOARD}/admin/chiffreStatistics`,
      product: {
        root: `${ROOTS.DASHBOARD}/product`,
        new: `${ROOTS.DASHBOARD}/product/new`,
        edit: (id: string) => `${ROOTS.DASHBOARD}/product/${id}/edit`,
        details: (id: string) => `${ROOTS.DASHBOARD}/product/${id}`,
        category: `${ROOTS.DASHBOARD}/product/category`,
        editCategory: (id: string) => `${ROOTS.DASHBOARD}/product/category/${id}/edit`,
        tags: `${ROOTS.DASHBOARD}/product/tags`,
        editTag: (id: string) => `${ROOTS.DASHBOARD}/product/tags/${id}/edit`,
        attribut: `${ROOTS.DASHBOARD}/product/attribut`,
        editAttribut: (id: string) =>
          `${ROOTS.DASHBOARD}/product/attribut/${id}/edit`,
        termeChoix: {
          root: (attributId: string) =>
            `${ROOTS.DASHBOARD}/product/attribut/${attributId}/termeChoix`,
          editChoix: (attributId: string, choiceId: string) =>
            `${ROOTS.DASHBOARD}/product/attribut/${attributId}/termeChoix/${choiceId}/edit`,

        },
        termeImage: {
          root: (id: string) =>
            `${ROOTS.DASHBOARD}/product/attribut/${id}/termeImage`,
          editImage: (attributId: string, imageId: string) =>
            `${ROOTS.DASHBOARD}/product/attribut/${attributId}/termeImage/${imageId}/edit`,
        },
        termeLabel: {
          root: (id: string) =>
            `${ROOTS.DASHBOARD}/product/attribut/${id}/termeLabel`,
          editLabel: (id: string, labelId: string) =>
            `${ROOTS.DASHBOARD}/product/attribut/${id}/termeLabel/${labelId}/edit`,
        },
        termeColor: {
          root: (attributId: string) =>
            `${ROOTS.DASHBOARD}/product/attribut/${attributId}/termeColor`,
          editColor: (attributId: string, colorId: string) =>
            `${ROOTS.DASHBOARD}/product/attribut/${attributId}/termeColor/${colorId}/edit`,
        },
       migration : `${ROOTS.DASHBOARD}/product/migration`,
      },
      live: {
        root: `${ROOTS.DASHBOARD}/lives`,
        new: `${ROOTS.DASHBOARD}/lives/new`,
        all_lives: `${ROOTS.DASHBOARD}/lives`,
        statistics: {
          single: (id: string) => `${ROOTS.DASHBOARD}/lives/${id}/statistics`,
          all: `${ROOTS.DASHBOARD}/lives/statistics`
        },
        details: (id: string) => `${ROOTS.DASHBOARD}/lives/${id}`,
        info: (id: string) => `${ROOTS.DASHBOARD}/lives/${id}/details`,
        edit: (id: string) => `${ROOTS.DASHBOARD}/lives/${id}/edit`,
        saleSession: `${ROOTS.DASHBOARD}/lives/saleSession`,
        saleSessionDeleted: `${ROOTS.DASHBOARD}/lives/saleSessionDeleted`,
        panier: (id: string, name: string) => `${ROOTS.DASHBOARD}/lives/saleSession/${id}/panier?name=${name}`
      },
      order: {
        root: `${ROOTS.DASHBOARD}/project_management/tasks`,
        create: `${ROOTS.DASHBOARD}/order/create`,
        all_orders: `${ROOTS.DASHBOARD}/order`,
        details: (id: string) => `${ROOTS.DASHBOARD}/order/${id}`,
        edit: (id: string) => `${ROOTS.DASHBOARD}/order/${id}/edit`,
        trash: `${ROOTS.DASHBOARD}/order/trash`,
        statistics: `${ROOTS.DASHBOARD}/order/statistics`,
        refund: {
          root: `${ROOTS.DASHBOARD}/order/refund`,
          details: (id: string) => `${ROOTS.DASHBOARD}/order/refund/${id}`,
        }
      },
      supplierOrder: {
        root: `${ROOTS.DASHBOARD}/supplierOrder`,
        new: `${ROOTS.DASHBOARD}/supplierOrder/new`,
        list: `${ROOTS.DASHBOARD}/supplierOrder/new`,
        edit: (id: string) => `${ROOTS.DASHBOARD}/supplierOrder/${id}/edit`,
        details: (id: string) => `${ROOTS.DASHBOARD}/supplierOrder/${id}`,
        deviation: `${ROOTS.DASHBOARD}/supplierOrder/deviation`,
      },
      saleOrder: {
        root: `${ROOTS.DASHBOARD}/saleOrder`,
        list: `${ROOTS.DASHBOARD}/saleOrder/list`,
      },
      review: {
        root: `${ROOTS.DASHBOARD}/project_management/tasks`,
        all_reviews: `${ROOTS.DASHBOARD}/review`,
        config: `${ROOTS.DASHBOARD}/review/config`,
      },
      user: {
        root: `${ROOTS.DASHBOARD}/project_management/tasks`,
        all_users: `${ROOTS.DASHBOARD}/user`,
        new: `${ROOTS.DASHBOARD}/user/new`,
        details: (id: string) => `${ROOTS.DASHBOARD}/user/${id}`,
        edit: (id: string) => `${ROOTS.DASHBOARD}/user/${id}/edit`,
        account: `${ROOTS.DASHBOARD}/user/account`,
        role: `${ROOTS.DASHBOARD}/user/role`,
      },
      driver: {
        root: `${ROOTS.DASHBOARD}/driver`,
        new: `${ROOTS.DASHBOARD}/driver/new`,
        list: `${ROOTS.DASHBOARD}/driver/list`,
        edit: (id: string) => `${ROOTS.DASHBOARD}/driver/${id}/edit`,
      },
      shipping: {
        general: {
          tab: (value: string) => `${ROOTS.DASHBOARD}/shipping/general/${value}`,
          root: `${ROOTS.DASHBOARD}/shipping/general`,
          shippingArea: {
            shippingAreaList: `${ROOTS.DASHBOARD}/shipping/general/shippingArea`,
          },
          shippingMethod: {
            shippingMethodList: `${ROOTS.DASHBOARD}/shipping/general/shippingMethod/list`,
            createShippingMethod: `${ROOTS.DASHBOARD}/shipping/general/shippingMethod/create`,
            details: (id: string) => `${ROOTS.DASHBOARD}/shipping/general/shippingMethod/${id}`,
            editFreeShipping: (id: string) => `${ROOTS.DASHBOARD}/shipping/general/shippingMethod/${id}/editFreeShipping`,
            editFlatRate: (id: string) => `${ROOTS.DASHBOARD}/shipping/general/shippingMethod/${id}/editFlatRate`,
            editPointOfSale: (id: string) => `${ROOTS.DASHBOARD}/shipping/general/shippingMethod/${id}/editPointOfSale`,
            editColissimoWithSignature: (id: string) => `${ROOTS.DASHBOARD}/shipping/general/shippingMethod/${id}/editColissimoWithSignature`,
            editColissimoWithoutSignature: (id: string) => `${ROOTS.DASHBOARD}/shipping/general/shippingMethod/${id}/editColissimoWithoutSignature`,
            editMondialRelay: (id: string) => `${ROOTS.DASHBOARD}/shipping/general/shippingMethod/${id}/editMondialRelay`,
          },
          deliveryRules: `${ROOTS.DASHBOARD}/shipping/general/deliveryRules`,
          shippingClass: {
            shippingClassList: `${ROOTS.DASHBOARD}/shipping/general/shippingClass`,
          },
          shipments: {
            shipmentList: `${ROOTS.DASHBOARD}/shipping/general/shipments`,
            details: (id: string) => `${ROOTS.DASHBOARD}/shipping/general/shipments/${id}`,
          },
        },
        colissimo: `${ROOTS.DASHBOARD}/shipping/colissimo`,
        mondialRelayInPost: {
          root: `${ROOTS.DASHBOARD}/shipping/mondialRelay-InPost`,
        },
      },
      payment: {
        root: `${ROOTS.DASHBOARD}/payment`,
        method: (name: string) => `${ROOTS.DASHBOARD}/payment/${name}`,
      },
      supplier: {
        root: `${ROOTS.DASHBOARD}/supplier`,
        new: `${ROOTS.DASHBOARD}/supplier/new`,
        list: `${ROOTS.DASHBOARD}/supplier/list`,
        archivedList:`${ROOTS.DASHBOARD}/supplier/archivedList`,
        edit: (id: string) => `${ROOTS.DASHBOARD}/supplier/${id}/edit`
      },
      media: {
        root: `${ROOTS.DASHBOARD}/media`,
        edit: (id: string) => `${ROOTS.DASHBOARD}/media/${id}/edit`,
      },
      chat: `${ROOTS.DASHBOARD}/chat`,
      cart: {
        root: `${ROOTS.DASHBOARD}/cart`,
        UserCart: `${ROOTS.DASHBOARD}/cart/UserCart`,
        statistics: `${ROOTS.DASHBOARD}/cart/statistics`,
        CartConfiguration :`${ROOTS.DASHBOARD}/cart/CartCountConfiguration`,
      },
      giftcard: {
        root: `${ROOTS.DASHBOARD}/giftcard`,
        all_giftcard: `${ROOTS.DASHBOARD}/giftcard`,
        giftcardActivity: (id: string) => `${ROOTS.DASHBOARD}/giftcard/giftcardactivity/${id}`,
        GiftcardMessage: `${ROOTS.DASHBOARD}/giftcard/giftcardmessage`,
        giftcardMail: `${ROOTS.DASHBOARD}/giftcard/giftcardmail`,
        details: (id: string) => `${ROOTS.DASHBOARD}/giftcard/${id}`,
        edit: (id: string) => `${ROOTS.DASHBOARD}/giftcard/${id}/edit`,
        editGiftcardActivity: (id: string) => `${ROOTS.DASHBOARD}/giftcard/giftcardactivity/${id}/edit`,
        new : `${ROOTS.DASHBOARD}/giftcard/new`
      },
      promoCode: {
        root: `${ROOTS.DASHBOARD}/promoCode`,
        new: `${ROOTS.DASHBOARD}/promoCode/new`,
        details: (id: string) => `${ROOTS.DASHBOARD}/promoCode/${id}`,
        edit: (id: string) => `${ROOTS.DASHBOARD}/promoCode/${id}/edit`,
        duplicate: (id: string) => `${ROOTS.DASHBOARD}/promoCode/${id}/duplicate`,
      },
      voucher : {
        root: `${ROOTS.DASHBOARD}/voucher`,
        new : `${ROOTS.DASHBOARD}/voucher/new`,
        details: (id: string) => `${ROOTS.DASHBOARD}/voucher/${id}`,
        edit: (id: string) => `${ROOTS.DASHBOARD}/voucher/${id}/edit`,
        
      },
    },
    driver: {
      root: `${ROOTS.DASHBOARD}/driver`,
      listSupplierOrder: `${ROOTS.DASHBOARD}/driver/supplierOrder`,
      details: (id: string) => `${ROOTS.DASHBOARD}/driver/supplierOrder/${id}/details`,
      supplier: `${ROOTS.DASHBOARD}/driver/supplier`,
      supplierDetails: (id: string) => `${ROOTS.DASHBOARD}/driver/supplier/${id}/details`
    },
    chatbot : {
      faq: {
        root: `${ROOTS.DASHBOARD}/chatbot/faq`,
        new: `${ROOTS.DASHBOARD}/chatbot/faq/new`,
        edit: (id: string) => `${ROOTS.DASHBOARD}/chatbot/faq/${id}/edit`,
      },
      help: {
        root: `${ROOTS.DASHBOARD}/chatbot/help`,
        new: `${ROOTS.DASHBOARD}/chatbot/help/new`,
        edit: (collection_id: string) => `${ROOTS.DASHBOARD}/chatbot/help/${collection_id}/edit`,
        details: (id: string) => `${ROOTS.DASHBOARD}/chatbot/help/${id}`,
      },
      openai: {
        root: `${ROOTS.DASHBOARD}/chatbot/openai`,
        list : (id: string) => `${ROOTS.DASHBOARD}/chatbot/openai/${id? id : '1'}`,
      },
      ticket: {
        root: `${ROOTS.DASHBOARD}/chatbot/ticketagent`,
        history: `${ROOTS.DASHBOARD}/chatbot/ticketagent/history`,
        conversations : `${ROOTS.DASHBOARD}/chatbot/ticketagent/conversation`,
        view: (id: string) => `${ROOTS.DASHBOARD}/chatbot/ticketagent/history/${id}`,
      },
      support: {
        root: `${ROOTS.DASHBOARD}/chatbot/supportagent`,
        conversation: `${ROOTS.DASHBOARD}/chatbot/supportagent/conversation`,
      },
    }
  }, 
  purchase: {
    root: `${ROOTS.DASHBOARD}/purchase`,
    new: `${ROOTS.DASHBOARD}/purchase/new`,
  },
  Referral: {
    root: `${ROOTS.DASHBOARD}/referral`,
  },
};
