import { IPaymentMethod } from "../types/payment";

export const _paymentMethods: IPaymentMethod[] = [
    {
        id: "standart_payment",
        type: "standart_payment",
        order: 1,
        title: "PayPal",
        active: true,
        description: "Payez en toute sécurité en utilisant votre compte PayPal ou votre carte de crédit.",
    },
    {
        id: "credit_card",
        type: "credit_card",
        order: 2,
        title: "Carte Bancaire",
        active: true,
        description: "Utilisez votre carte bancaire pour payer rapidement et en toute sécurité.",
    },
    {
        id: "bank_transfer",
        type: "bank_transfer",
        order: 3,
        title: "Virement Bancaire",
        active: true,
        description: "Payez directement à partir de votre compte bancaire.",
    },
];


export const mockBankAccounts = [
    {
        name: 'Compte Exemple A',
        number: '000123456A',
        bank: 'Banque de A',
        code: '123456',
        IBAN: 'FR14 2004 1010 0505 0001 3M02 606',
        bic_swift: 'BICA123'
    },
    {
        name: 'Compte Exemple B',
        number: '000654321B',
        bank: 'Banque de B',
        code: '654321',
        IBAN: 'FR76 3000 6000 0112 3456 7890 189',
        bic_swift: 'BICB456'
    },
];