import { GATEWAY_API_URL } from "@/config-global";
import  axiosInstance, { endpoints } from "./server";
import axios from "axios";
import { Driver } from "@/contexts/types/driver";


export async function getAllDrivers() {
    try {
        const response = await axiosInstance.get(endpoints.driver.getAllDrivers);
        const drivers = response.data as Driver[];
        if (response.status === 200) {
            return drivers;
        } else {
            return null;
        }

    } catch (error) {
        return null;
    }
}

export async function getDriverById(driverId: string) {
    try {
        const response = await axiosInstance.get(endpoints.driver.getDriverById(driverId));
        if (response.status === 200) {
            return response.data;
        } else {
            return null;
        }

    } catch (error) {
        return null;
    }
}
