
import { generateToken } from "@/utils/firebase";
import axiosInstance, { endpoints } from "./server";
import { CreateLiveNotifRequest } from "../types/notif";

export const sendNotificationToUserAfterLiveCreation = async (createLiveNotifRequest: CreateLiveNotifRequest) => {
    try {
      const token = await generateToken();
      if (token) {
        const response = await axiosInstance.post(
          endpoints.notification.startLiveStreamNotification(),
          createLiveNotifRequest
        );
        return response;
      } 
    } catch (error) {
      console.error("Error sending notification:", error);
      throw error; 
    }
  };
  

