
import { IReferralSettingsDTO, ReferralShareSettingsDTO } from "../types/referral";
import axiosInstance, { endpoints, fetcher } from "./server";


export const updateOrCreateReferralSettings = async (referralSettingsDTO: IReferralSettingsDTO) => {
    try {
      const response = await axiosInstance.post(endpoints.referralSettings.updateOrCreate,referralSettingsDTO);
      return response.data;
    } catch (error) {
      throw error;
    }
  };

  export const getReferralSettings = async () => {
    try {
      const response = await axiosInstance.get(endpoints.referralSettings.get);
      return response.data; 
    } catch (error) {
      throw error;
    }
  };

  export const getAllReferralPromoCodes = async () => {
    try {
      const response = await axiosInstance.get(endpoints.referralPromoCodes.getAll); 
      return response.data;
    } catch (error) {
      throw error;
    }
  };
  export const getAllReferral = async () => {
    try {
      const response = await axiosInstance.get(endpoints.referral.getAll); 
      return response.data;
    } catch (error) {
      throw error;
    }
  };
  export const totalReferralsClients = async () => {
    try {
      const response = await axiosInstance.get(endpoints.referral.totalReferredClients); 
      return response.data;
    } catch (error) {
      throw error;
    }
  };
  export const countReferral = async () => {
    try {
      const response = await axiosInstance.get(endpoints.referral.countReferral); 
      return response.data;
    } catch (error) {
      throw error;
    }
  }
  
  export const updateOrCreateReferralShareSettings = async (referralShareSettingsDTO: ReferralShareSettingsDTO) => {
    try {
      const response = await axiosInstance.post(endpoints.referralShareSettings.updateOrCreate,referralShareSettingsDTO);
      return response.data;
    } catch (error) {
      throw error;
    }
  };
  export const getReferralShareSettings = async () => {
    try {
      const response = await axiosInstance.get(endpoints.referralShareSettings.get);
      return response.data; 
    } catch (error) {
      throw error;
    }
  };
