"use client";

import Container from "@mui/material/Container";
import { paths } from "@/routes/paths";

import { useSettingsContext } from "@/shared/components/settings";
import CustomBreadcrumbs from "@/shared/components/custom-breadcrumbs";
import CountdownOptions from "./CartConfiguration";



// ----------------------------------------------------------------------

export default function CartConfigView() {
  const settings = useSettingsContext();

  return (
    <Container maxWidth={settings.themeStretch ? false : "lg"}>
      <CustomBreadcrumbs
        heading="Configuration du panier"
        links={[
          {
            name: "Tableau de bord",
            href: paths.dashboard.root,
          },
          {
            name: "Paniers",
            href: paths.dashboard.admin.cart.root,
          },
          { name: "Configuration" },
        ]}
        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />
      <CountdownOptions />
    </Container>
  );
}
