'use client';

import { paths } from '@/routes/paths';

import Container from "@mui/material/Container";

import CustomBreadcrumbs from '@/shared/components/custom-breadcrumbs';
import { FAQNewEditForm } from '../faq-new-edit-form';

import { useGetFAQ } from '@/shared/api/faq';

import { IFAQItem } from '@/shared/types/faq';

// ----------------------------------------------------------------------


interface FAQEditViewProps {
  faqID: string;
}

export function FAQEditView({ faqID }: FAQEditViewProps) {

  const {faq , faqLoading} = useGetFAQ(faqID);

  return (
    <Container>
      <CustomBreadcrumbs
        heading="Edit"
        links={[
          { name: 'Dashboard'},
          { name: 'View All FAQ', href: paths.dashboard.chatbot.faq.root },
          { name: 'Modify FAQ' },
        ]}
        sx={{ mb: { xs: 3, md: 5 } }}
      />
      {faq && <FAQNewEditForm currentFAQ={faq as unknown as IFAQItem} />}
    </Container>
  );
}
