'use client';

import Container from "@mui/material/Container";
import CustomBreadcrumbs from '@/shared/components/custom-breadcrumbs';
import { CollectionDetailData } from '../help-detail-data';

import { useGetHelp , useGetArticles } from "@/shared/api/help";
import { IHelpGetItem } from '@/shared/types/help';
import { makeCollection } from '@/shared/api/help';

// ----------------------------------------------------------------------

interface CollectionEditViewProps {
  collectionId: string;
}

export function CollectionDetailView({ collectionId, ...props }: CollectionEditViewProps) {
  
  const { help} = useGetHelp(collectionId);
  const { articles } = useGetArticles(help?.id || '');

  const collection = help ? makeCollection(help as unknown as IHelpGetItem, articles || []) : null;

  return (
    <Container>
      <CustomBreadcrumbs
        heading="Voir Collection"
        links={[
          { name: 'Tableau de bord'},
          { name: 'Voir Collection'},
        ]}
        sx={{ mb: { xs: 3, md: 5 } }}
      />
      {collection && <CollectionDetailData currentCollection={collection} />}
    </Container>
  );
}
