'use client';

import { paths } from '@/routes/paths';
import Container from "@mui/material/Container";
import CustomBreadcrumbs from '@/shared/components/custom-breadcrumbs';
import { CollectionNewEditForm } from '../help-new-edit-form';
import { useGetHelp, useGetArticles } from "@/shared/api/help";
import { IHelpGetItem } from '@/shared/types/help';
import { makeCollection } from '@/shared/api/help';

// ----------------------------------------------------------------------

interface CollectionEditViewProps {
  collectionId: string;
}

export function CollectionEditView({ collectionId, ...props }: CollectionEditViewProps) {
  
  const { help, helpLoading, helpError } = useGetHelp(collectionId);
  const { articles } = useGetArticles(help?.id || '');

  const collection = help ? makeCollection(help as unknown as IHelpGetItem, articles || []) : null;

  return (
    <Container>
      <CustomBreadcrumbs
        heading="Edit"
        links={[
          { name: 'Dashboard', href: paths.dashboard.chatbot.help.root },
          { name: 'Edit Collection'}
        ]}
        sx={{ mb: { xs: 3, md: 5 } }}
      />
      {collection && <CollectionNewEditForm currentCollection={collection}  collectionId={collectionId} />}
    </Container>
  );
}
