'use client';

import Container from "@mui/material/Container";

import CustomBreadcrumbs from '@/shared/components/custom-breadcrumbs';

import { OpenAINewEditForm } from '../openai-new-edit-form';

import { IOpenAiItem } from "@/shared/types/openai";

import { useGetOpenAiConf } from "@/shared/api/openai";
// ----------------------------------------------------------------------


interface OpenAIEditViewProps {
  openaiId: string; 
}

export function OpenAIEditView({ openaiId }: OpenAIEditViewProps) {

  const { openai } = useGetOpenAiConf(openaiId);

  return (
    <Container>
      <CustomBreadcrumbs
        heading="Configuration API"
        links={[
          { name: 'Tableau de bord'},
          { name: 'Configuration API'}
        ]}
        sx={{ mb: { xs: 3, md: 5 } }}
      />
      {openai && <OpenAINewEditForm currentOpenAi={openai as unknown as IOpenAiItem} />}
    </Container>
  );
}
