"use client";

import Container from "@mui/material/Container";
import { useSettingsContext } from "@/shared/components/settings";
import { Grid } from "@mui/material";


import AppWidgetSummary from "./statistics-widget-summary";
import { useTheme } from "@mui/material/styles";
import { _BestSalesProduct, _BestSalesProduct1 } from "@/shared/_mock";


export default function AllStatisticsView() {
  const settings = useSettingsContext();
  const theme = useTheme();

  

  return (
    <Container
      sx={{ gap: 3, display: "flex", flexDirection: "column" }}
      maxWidth={settings.themeStretch ? false : "lg"}
    >
    

<Grid container spacing={4}>
  <Grid item xs={12} sm={6} md={3}>
    <AppWidgetSummary
      title="Total de Commandes"
      percent={2.6}
      total={18765}
      color={theme.palette.error.light}
      chart={{
        colors: [theme.palette.primary.dark, theme.palette.primary.dark],
        series: [5, 18, 12, 51, 68, 11, 39, 37, 27, 20],
      }}
    />
  </Grid>

  <Grid item xs={12} sm={6} md={3}>
    <AppWidgetSummary
      title="Total de Commandes Attendues"
      percent={0.2}
      total={4876}
      color={theme.palette.info.dark}
      chart={{
        colors: [theme.palette.warning.dark, theme.palette.warning.dark],
        series: [20, 41, 63, 33, 28, 35, 50, 46, 11, 26],
      }}
    />
  </Grid>

  <Grid item xs={12} sm={6} md={3}>
    <AppWidgetSummary
      title="Total de Commandes Reçues"
      percent={+0.1}
      total={678}
      color={theme.palette.primary.main}
      chart={{
        colors: [theme.palette.info.dark, theme.palette.info.dark],
        series: [8, 9, 31, 8, 16, 37, 8, 33, 46, 31],
      }}
    />
  </Grid>

  </Grid>
      
  </Container>
);
}
