'use client';

import Box from '@mui/material/Box';
import { alpha } from '@mui/material/styles';
import Container from '@mui/material/Container';
import Typography from '@mui/material/Typography';

import { useSettingsContext } from '@/shared/components/settings';
import AllStatisticsView from "@/shared/sections/driver/home/statistics/All-Statistics-View-Admin";
import OrderList from "@/shared/sections/home/view/order-list-view";
import CustomBreadcrumbs from '@/components/custom-breadcrumbs/custom-breadcrumbs';
import SupplierOrderListDriverView from '../order/view/supplier-order-list-driver-view';



export default function HomeView() {
  const settings = useSettingsContext();

  return (
    <Container maxWidth={settings.themeStretch ? false : 'xl'}>
      
      <CustomBreadcrumbs
          heading="DRIVER "
          links={[
            {
              name: "Tableau de bord",
             
            },
            {
              name: "Accueil",
              
            },
            {
              name: "DRIVER",
            },
          ]}
          sx={{
            mb: { xs: 3, md: 5 },
          }}
        />
      
      <AllStatisticsView />

          <br />

      <SupplierOrderListDriverView />
      
    </Container>
  );
}
