import { SupplierDTO } from '@/contexts/types/supplierOrder';
import { ConcatFullAddress } from '@/shared/api/supplier';
import Card from '@mui/material/Card';
import CardContent from '@mui/material/CardContent';
import Typography from '@mui/material/Typography';

type Props = {
  supplier: SupplierDTO;
};

export default function SupplierDetailsInfo({ supplier }: Props) {
  return (
    <Card>
      <CardContent>
        <Typography variant="h5" component="div">
          {supplier.supplierName}
        </Typography>
        <Typography variant="body2" color="textSecondary">
          Address: {ConcatFullAddress(supplier)}
        </Typography>
        <Typography variant="body2" color="textSecondary">
          Contact: {supplier.supplierPhoneNumber}
        </Typography>
        <Typography variant="body2" color="textSecondary">
          Email: {supplier.supplierEmail}
        </Typography>
      </CardContent>
    </Card>
  );
}
