// // src/components/GiftcardListView.tsx

// 'use client';

// import React, { useState, useEffect, useCallback } from "react";
// import { useRouter } from "@/hooks";
// import { useSnackbar } from "@/shared/components/snackbar";
// import { useBoolean } from "@/hooks/use-boolean";
// import {
//   DataGrid,
//   GridColDef,
//   GridActionsCellItem,
//   GridToolbarContainer,
//   GridToolbarQuickFilter,
//   GridColumnVisibilityModel,
//   GridRowSelectionModel,
// } from "@mui/x-data-grid";
// import {
//   Button,
//   Container,
//   Box,
//   Stack,
//   Card,
//   Typography,
// } from "@mui/material";
// import Iconify from "@/shared/components/iconify";
// import { useGetGiftCards, deleteGiftCard, duplicateGiftCard } from '@/api/giftcardService';
// import { IGiftCard } from '@/types/giftcard';
// import { ConfirmDialog } from "@/shared/components/custom-dialog";
// import GiftcardTableToolbar from "./GiftcardTableToolbar";
// import GiftcardTableFiltersResult from "./GiftcardTableFiltersResult";
// import {
//   RenderCellSolde,
//   RenderCellDateexpiration,
//   RenderCellEmaildestinataire,
//   RenderCellNumecarte,
//   RenderCellActivite,
//   RenderCellCarteCadeauemail,
//   RenderCellPdf,
// } from "./GiftcardTableRow";

// export default function GiftcardListView() {
//   const { enqueueSnackbar } = useSnackbar();
//   const { giftcards, isLoading, isError } = useGetGiftCards();
//   const [tableData, setTableData] = useState<IGiftCard[]>(giftcards);
//   const [filters, setFilters] = useState<IGiftcardFilter>({ dateexpiration: null });
//   const [selectedRowIds, setSelectedRowIds] = useState<GridRowSelectionModel>([]);
//   const [columnVisibilityModel, setColumnVisibilityModel] = useState<GridColumnVisibilityModel>({
//     category: false,
//   });

//   // États pour les dialogues de confirmation
//   const confirmDelete = useBoolean();
//   const confirmDuplicate = useBoolean();
//   const [rowToDelete, setRowToDelete] = useState<number | null>(null);
//   const [rowToDuplicate, setRowToDuplicate] = useState<number | null>(null);

//   const { data, error, isValidating } = useSWR(endpoints.Addons.GiftCart.getAll, fetcher);

//   useEffect(() => {
//     if (!data) return;
//     setTableData(data as IGiftCard[]);
//   }, [data]);

//   const handleDeleteRow = useCallback(async (id: number) => {
//     try {
//       await deleteGiftCard(id);
//       enqueueSnackbar('Carte cadeau supprimée avec succès!', { variant: 'success' });
//     } catch (error) {
//       enqueueSnackbar('Erreur lors de la suppression de la carte cadeau.', { variant: 'error' });
//     }
//   }, [enqueueSnackbar]);

//   const handleDeleteRows = useCallback(async () => {
//     try {
//       await Promise.all(selectedRowIds.map((id) => deleteGiftCard(id as number)));
//       enqueueSnackbar(`${selectedRowIds.length} carte(s) cadeau supprimée(s) avec succès!`, { variant: 'success' });
//       setSelectedRowIds([]);
//     } catch (error) {
//       enqueueSnackbar('Erreur lors de la suppression des cartes cadeaux.', { variant: 'error' });
//     }
//   }, [enqueueSnackbar, selectedRowIds]);

//   const handleDuplicateRow = useCallback(async (id: number) => {
//     try {
//       await duplicateGiftCard(id);
//       enqueueSnackbar('Carte cadeau dupliquée avec succès!', { variant: 'success' });
//     } catch (error) {
//       enqueueSnackbar('Erreur lors de la duplication de la carte cadeau.', { variant: 'error' });
//     }
//   }, [enqueueSnackbar]);

//   const columns: GridColDef[] = [
//     {
//       field: "Numecarte",
//       headerName: "Numéro de carte",
//       width: 200,
//       valueGetter: (params) => params.row.numecarte,
//       renderCell: (params) => <RenderCellNumecarte params={params} />,
//     },
//     {
//       field: "solde",
//       headerName: "Solde (€)",
//       width: 150,
//       renderCell: (params) => <RenderCellSolde params={params} />,
//     },
//     {
//       field: "dateexpiration",
//       headerName: "Date d'expiration",
//       width: 200,
//       type: "date",
//       valueGetter: (params) => new Date(params.row.dateexpiration),
//       renderCell: (params) => <RenderCellDateexpiration params={params} />,
//     },
//     {
//       field: "emaildestinataire",
//       headerName: "Destinataire",
//       width: 200,
//       valueGetter: (params) => params.row.emaildestinataire,
//       renderCell: (params) => <RenderCellEmaildestinataire params={params} />,
//     },
//     {
//       field: "activite",
//       headerName: "Activité",
//       width: 180,
//       filterable: false,
//       renderCell: (params) => <RenderCellActivite params={params} />,
//     },
//     {
//       field: "CarteCadeauemail",
//       headerName: "Carte cadeau d'email",
//       width: 200,
//       filterable: false,
//       renderCell: (params) => <RenderCellCarteCadeauemail params={params} />,
//     },
//     {
//       field: "Pdf",
//       headerName: "PDF",
//       width: 200,
//       filterable: false,
//       renderCell: (params) => <RenderCellPdf params={params} />,
//     },
//     {
//       type: "actions",
//       field: "actions",
//       headerName: "Actions",
//       align: "right",
//       headerAlign: "right",
//       width: 150,
//       sortable: false,
//       filterable: false,
//       disableColumnMenu: true,
//       getActions: (params) => [
//         <GridActionsCellItem
//           icon={<Iconify icon="solar:trash-bin-trash-bold" />}
//           label="Supprimer"
//           onClick={() => {
//             confirmDelete.onTrue();
//             setRowToDelete(params.row.giftcardId!);
//           }}
//           sx={{ color: "error.main" }}
//         />,
//         <GridActionsCellItem
//           icon={<Iconify icon="mdi:content-duplicate" />}
//           label="Dupliquer"
//           onClick={() => {
//             confirmDuplicate.onTrue();
//             setRowToDuplicate(params.row.giftcardId!);
//           }}
//           sx={{ color: "primary.main" }}
//         />,
//       ],
//     },
//   ];

//   // Fonction de filtrage
//   const applyFilter = useCallback(({ inputData, filters }: { inputData: IGiftCard[]; filters: IGiftcardFilter; }) => {
//     const { dateexpiration } = filters;
//     if (dateexpiration) {
//       const targetDate = new Date(dateexpiration);
//       return inputData.filter((row) => {
//         const rowDate = new Date(row.dateexpiration);
//         return (
//           rowDate.getDate() === targetDate.getDate() &&
//           rowDate.getMonth() === targetDate.getMonth() &&
//           rowDate.getFullYear() === targetDate.getFullYear()
//         );
//       });
//     }
//     return inputData;
//   }, []);

//   const dataFiltered = applyFilter({ inputData: tableData, filters });

//   return (
//     <>
//       <div style={{ display: 'flex', marginBottom: '30px' }}>
//         <Card sx={{ width: 290, border: '2px solid black', marginRight: '100px', marginLeft: '50px' }}>
//           <CardContent style={{ display: 'flex', flexDirection: 'column' }}>
//             <Typography variant="body2" sx={{ marginBottom: '20px' }}>
//               Nombre de Cartes Cadeaux actives :
//             </Typography>
//             <Typography variant="h5" component="div" textAlign="center">
//               {giftcards.length}
//             </Typography>
//           </CardContent>
//         </Card>

//         <Card sx={{ width: 290, border: '2px solid black' }}>
//           <CardContent>
//             <Typography variant="body2" sx={{ marginBottom: '20px' }}>
//               Soldes impayés :
//             </Typography>
//             <Typography variant="h5" component="div" textAlign="center">
//               {giftcards.reduce((acc, curr) => acc + curr.solde, 0)} €
//             </Typography>
//           </CardContent>
//         </Card>
//       </div>
//       <div style={{ display: 'flex', marginTop: '20px', marginBottom: '40px' }}>
//         <Container
//           maxWidth="lg"
//           sx={{
//             flexGrow: 1,
//             display: "flex",
//             flexDirection: "column",
//           }}
//         >
//           <Box
//             sx={{
//               height: 700,
//               width: "100%",
//               flexGrow: { md: 1 },
//               display: { md: "flex" },
//               flexDirection: { md: "column" },
//             }}
//           >
//             <DataGrid
//               checkboxSelection
//               disableRowSelectionOnClick
//               rows={dataFiltered}
//               columns={columns}
//               loading={isLoading}
//               getRowId={(row) => row.giftcardId!}
//               getRowHeight={() => "auto"}
//               pageSizeOptions={[5, 10, 25]}
//               initialState={{
//                 pagination: {
//                   paginationModel: { pageSize: 10 },
//                 },
//               }}
//               onRowSelectionModelChange={(newSelectionModel) => {
//                 setSelectedRowIds(newSelectionModel);
//               }}
//               columnVisibilityModel={columnVisibilityModel}
//               onColumnVisibilityModelChange={(newModel) =>
//                 setColumnVisibilityModel(newModel)
//               }
//               slots={{
//                 toolbar: () => (
//                   <>
//                     <GridToolbarContainer>
//                       <GiftcardTableToolbar
//                         filters={filters}
//                         onFilters={(name, value) => setFilters(prev => ({ ...prev, [name]: value }))}
//                         dateError={false}
//                       />
//                       <GridToolbarQuickFilter />
//                       <Stack
//                         spacing={1}
//                         flexGrow={1}
//                         direction="row"
//                         alignItems="center"
//                         justifyContent="flex-end"
//                       >
//                         {!!selectedRowIds.length && (
//                           <Stack direction="row" spacing={1}>
//                             <Button
//                               size="small"
//                               color="error"
//                               startIcon={<Iconify icon="solar:trash-bin-trash-bold" />}
//                               onClick={confirmDelete.onTrue}
//                             >
//                               Supprimer ({selectedRowIds.length})
//                             </Button>
//                             <Button
//                               size="small"
//                               variant="outlined"
//                               color="primary"
//                               startIcon={<Iconify icon="mdi:content-duplicate" />}
//                               onClick={confirmDuplicate.onTrue}
//                             >
//                               Dupliquer ({selectedRowIds.length})
//                             </Button>
//                           </Stack>
//                         )}
//                         <Button
//                           size="small"
//                           onClick={() => setColumnVisibilityModel(prev => ({ ...prev, actions: !prev.actions }))}
//                         >
//                           Toggle Actions
//                         </Button>
//                         <GridToolbarQuickFilter />
//                         <GridToolbarExport />
//                       </Stack>
//                     </GridToolbarContainer>
//                     {filters.dateexpiration && (
//                       <GiftcardTableFiltersResult
//                         filters={filters}
//                         onFilters={(name, value) => setFilters(prev => ({ ...prev, [name]: value }))}
//                         onResetFilters={() => setFilters({ dateexpiration: null })}
//                         results={dataFiltered.length}
//                       />
//                     )}
//                   </>
//                 ),
//                 noRowsOverlay: () => <EmptyContent title="Aucune donnée" />,
//                 noResultsOverlay: () => <EmptyContent title="Aucun résultat trouvé" />,
//               }}
//               slotProps={{
//                 columnsPanel: {
//                   getTogglableColumns: () => columns
//                     .filter(column => !["actions"].includes(column.field))
//                     .map(column => column.field),
//                 },
//               }}
//             />
//           </Box>
//         </Container>

//         {/* Dialogue de confirmation pour la suppression */}
//         <ConfirmDialog
//           open={confirmDelete.value}
//           onClose={() => {
//             confirmDelete.onFalse();
//             setRowToDelete(null);
//           }}
//           title="Supprimer la Carte Cadeau"
//           content={
//             <>
//               Êtes-vous sûr de vouloir supprimer la carte cadeau numéro <strong>{rowToDelete}</strong> ?
//             </>
//           }
//           action={
//             <Button
//               variant="contained"
//               color="error"
//               onClick={async () => {
//                 if (rowToDelete !== null) {
//                   await handleDeleteRow(rowToDelete);
//                   confirmDelete.onFalse();
//                   setRowToDelete(null);
//                 }
//               }}
//             >
//               Supprimer
//             </Button>
//           }
//         />

//         {/* Dialogue de confirmation pour la duplication */}
//         <ConfirmDialog
//           open={confirmDuplicate.value}
//           onClose={() => {
//             confirmDuplicate.onFalse();
//             setRowToDuplicate(null);
//           }}
//           title="Dupliquer la Carte Cadeau"
//           content={
//             <>
//               Êtes-vous sûr de vouloir dupliquer la carte cadeau numéro <strong>{rowToDuplicate}</strong> ?
//             </>
//           }
//           action={
//             <Button
//               variant="contained"
//               color="primary"
//               onClick={async () => {
//                 if (rowToDuplicate !== null) {
//                   await handleDuplicateRow(rowToDuplicate);
//                   confirmDuplicate.onFalse();
//                   setRowToDuplicate(null);
//                 }
//               }}
//             >
//               Dupliquer
//             </Button>
//           }
//         />
//       </div>
//     </>
//   );
// }


//    {/* {!!selectedRowIds.length && (
//                     <Stack direction="row" spacing={1}>
//                       <Button
//                         size="small"
//                         variant="outlined"
//                         color="primary"
//                         startIcon={<Iconify icon="eva:copy-outline" />}
//                         onClick={() => {
//                           // Gérer la duplication multiple si nécessaire
//                         }}
//                       >
//                         Dupliquer ({selectedRowIds.length})
//                       </Button>
//                       <Button
//                         size="small"
//                         color="error"
//                         startIcon={<Iconify icon="solar:trash-bin-trash-bold" />}
//                         onClick={() => {
//                           setConfirmDeleteOpen(true);
//                         }}
//                       >
//                         Supprimer ({selectedRowIds.length})
//                       </Button>
//                     </Stack>
//                   )} */}