"use client";

import Container from "@mui/material/Container";

import { paths } from "@/routes/paths";

import { useSettingsContext } from "@/shared/components/settings";

import CustomBreadcrumbs from "@/shared/components/custom-breadcrumbs";
import EditGiftCard from "./EditGiftCard";


// ----------------------------------------------------------------------

type Props = {
    giftcardId: string;
  };

export default function GiftCardEditView({ giftcardId }: Props) {
  const settings = useSettingsContext();


  return (
    <Container maxWidth={settings.themeStretch ? false : "xl"}>
      <CustomBreadcrumbs
        heading="Modifier"
        links={[
          { name: "Tableau de bord", href: paths.dashboard.root },
          {
            name: "Carte Cadeau",
            href: paths.dashboard.admin.giftcard.all_giftcard,
          },
          { name: "Modifier Carte Cadeau" },
        ]}
        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />

      <EditGiftCard giftcardId ={Number(giftcardId)}  />
    </Container>
  );
}
