import { ApexOptions } from 'apexcharts';
import Box from '@mui/material/Box';
import Stack from '@mui/material/Stack';
import { useTheme } from '@mui/material/styles';
import Typography from '@mui/material/Typography';
import Card, { CardProps } from '@mui/material/Card';

import { fNumber, fPercent } from '@/utils/format-number';

import Chart from '@/components/chart';
import Iconify from '@/components/iconify';

// ----------------------------------------------------------------------

interface Props extends CardProps {
  title: string;
  total: number;
  showEuroSymbol?: boolean; 
  showPercentage?: boolean; 
}

export default function AppWidgetSummary({
  title,
  total,
  showEuroSymbol = false,
  showPercentage = false,
  color, 
  sx,
  ...other
}: Props) {
  const theme = useTheme();

 

  

  return (
    <Card sx={{ display: 'flex', alignItems: 'center', p: 3, backgroundColor: color, ...sx }} {...other}>
      <Box sx={{ flexGrow: 1 }}>
        <Typography variant="subtitle2">{title}</Typography>

      

        <Typography variant="h3">{fNumber(total)} {showEuroSymbol && "€"}
        {showPercentage && "%"}</Typography>
      </Box>

      
    </Card>
  );
}
