import React from 'react';
import FormControlLabel from '@mui/material/FormControlLabel';
import Switch from '@mui/material/Switch';
import Typography from '@mui/material/Typography';
import { Card } from '@mui/material';

type Props = {
  enabled: boolean;
  onToggle: (event: React.ChangeEvent<HTMLInputElement>) => void;
  title: string;
  description: string;
  disabled?: boolean;
};

export default function OptionItem({title, description, enabled, onToggle, disabled=false }:Props){
  return (
    <Card sx={{p:2, }}>
      <Typography variant="subtitle1" gutterBottom>
       {title}
      </Typography>
      <Typography variant="body2" gutterBottom>
        {description}
      </Typography>
      <Switch disabled={disabled} checked={enabled} onChange={onToggle} />
    </Card>
  );
};

