import parse from 'autosuggest-highlight/parse';
import match from 'autosuggest-highlight/match';

import Box from '@mui/material/Box';
import TextField from '@mui/material/TextField';
import Typography from '@mui/material/Typography';
import InputAdornment from '@mui/material/InputAdornment';
import Autocomplete, { autocompleteClasses } from '@mui/material/Autocomplete';


import Iconify from '@/shared/components/iconify';
import React from 'react';
import { set } from 'lodash';

// ----------------------------------------------------------------------

type Props = {
  onSearch: (inputValue: string) => void;
};

export default function LiveSearch({ onSearch }: Props) {
  const [query,setQuery ] = React.useState<string>('');

  const handleKeyUp = (event: React.KeyboardEvent<HTMLInputElement>) => {
      if (event.key === 'Enter') {
        onSearch(query);
      }
  };

  return (

    <TextField
      sx={{ width: { xs: 1, sm: 260 } }}
      placeholder="Recherche..."
      onKeyUp={handleKeyUp}
      onChange={(e) => setQuery(e.target.value)}
      InputProps={{
        startAdornment: (
          <InputAdornment position="start">
            <Iconify icon="eva:search-fill" sx={{ ml: 1, color: 'text.disabled' }} />
          </InputAdornment>
        ),
      }}
    />
  );
}
