import { Box, ButtonBase, Paper } from '@mui/material';

const videoFormats = [
    {
        name: 'portrait',
        label: 'Portrait (16/9)',
        image: `/assets/images/lives/portrait.png`
    },
    {
        name: 'paysage',
        label: 'Paysage (16/9)',
        image: `/assets/images/lives/paysage.png`,
    },
];




export const VideoFormatsField = ({ field, disabled = false }: { field: any, disabled?: boolean }) => {
    return (
        <Box gap={2} display="grid" gridTemplateColumns="repeat(2, 1fr)">
            {videoFormats.map((item) => (
                <Paper
                    component={ButtonBase}
                    variant="outlined"
                    key={item.name}
                    onClick={() => { !disabled && field.onChange(item.name) }}
                    sx={{
                        p: 2.5,
                        borderRadius: 1,
                        gap: 2,
                        typography: 'subtitle1',
                        flexDirection: 'column',
                        ...(item.name === field.value && {
                            borderWidth: 2,
                            borderColor: 'text.primary',
                        }),
                    }}
                >
                    <img src={item.image} />
                    {item.label}
                </Paper>

            ))}
        </Box>
    )
}