import { useGetOrdersBySessionId } from '@/shared/api/saleSession';
import { ISessionOrder as IOrder } from '@/shared/types/saleSession';

export const useOrdersFetcher = () => {
  const fetchOrdersForSession = (sessionId: string) => {
    const { orders, ordersError } = useGetOrdersBySessionId(sessionId);
    if (ordersError) {
      throw new Error(ordersError);
    }
    return orders;
  };

  return { fetchOrdersForSession };
};

