"use client";

import React from 'react';
import { Box, IconButton } from '@mui/material';
import Scrollbar from '@/shared/components/scrollbar';
import LiveCommentItem from './details-comments-item';
import { ILiveComment } from '@/shared/types/live';
import { useResponsive } from '@/hooks';
import Iconify from '@/components/iconify';
import useLiveComments from '@/contexts/live-comments/use-live-comments';
import { useRef } from 'react';
import useScroll from '@/hooks/use-scroll';
import { addCommentLive } from '@/shared/api/live';
import { useLiveData } from '@/contexts/live-details';
import CommentExport from './details-comment-export';
export default function CommentsList({ changeParentComment }: {
  changeParentComment: (comment: ILiveComment | null) => void
}) {
  const { comments } = useLiveComments();
  const { endRef } = useScroll(comments);
  const mdUp = useResponsive('up', 'md');
  const scrollbarRef = useRef<HTMLDivElement>(null);
  const liveData = useLiveData();


  const handleSendComment = async () => {
    try {
      await addCommentLive({
        content: "⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔⛔",
        type: "CHAT",
        admin: true,
        senderName: liveData.chatName || "mydressin",
        liveStream: liveData.id
      });
    } catch (error) {
    console.error(error);
  }
};

return (
  <>
    {mdUp && (
      <>
        <CommentExport />
        <IconButton
          onClick={handleSendComment}
          sx={{ position: 'absolute', color: 'white', bgcolor: 'red', zIndex: 5, top: 54, right: 10 }}
        >
          <Iconify icon="zondicons:minus-outline" />
        </IconButton>

      </>

    )}
    <Scrollbar ref={scrollbarRef} sx={{ px: 2, height: 1, position: 'relative', color: 'transparent' }}>
      <Box sx={{ position: 'relative', py: 10 }}>
        {comments.map((comment) => (
          <LiveCommentItem
            changeParentComment={changeParentComment}
            key={comment.id}
            comment={comment}
          />
        ))}
        <div style={{ height: 30 }} ref={endRef} />
      </Box>
    </Scrollbar>
  </>
);
}
