import { useResponsive } from "@/hooks/use-responsive";
import { Box,Card, Grid } from "@mui/material";
import CommentsInput from "./details-comments-input";
import CommentsList from "./details-comments-list";
import { ILiveComment } from "@/shared/types/live";
import { useState } from "react";
type Props = {
    liveId: string,
}

export default function CommentSection() {
    const mdUp = useResponsive('up', 'md');
    const [parentComment, setParentComment] = useState<ILiveComment | null>(null);
   
    

    return (
        <>
            {mdUp ? (
                <Grid item lg={4} md={4} sm={12}>
                    <Card sx={{ height: 720 }}>
                        <CommentsList changeParentComment={setParentComment} />
                        <CommentsInput parentComment={parentComment} changeParentComment={setParentComment} />
                    </Card>
                </Grid>
            ) : (
                <>
                    <Box sx={{ height: 300, zIndex: 6, overflow: 'hidden', position: 'absolute', width: '30%', left: 2, minWidth: 200, bottom: 0, paddingBottom: 200 }}>
                        <CommentsList changeParentComment={setParentComment} />

                    </Box>
                    <CommentsInput parentComment={parentComment} changeParentComment={setParentComment} />
                </>
            )

            }
        </>

    )
}