'use client';

import { Grid, Container } from '@mui/material';
import CommentSection from './details-comments-section';
import ProductsSection from './details-products-section';
import VideoPlayerSection from './details-player-section';
import HeadSection from './details-head-section';
import { LiveStatsProvider } from '@/contexts/live-stats';
import { LiveProductsProvider } from '@/contexts/live-products/live-products-provider';
import { LiveCommentsProvider } from '@/contexts/live-comments/live-comments-provider';
import { useLiveData } from '@/contexts/live-details';



export default function LiveDetailsView() {
    const liveData = useLiveData();

    return (

        <Container disableGutters={true} maxWidth={false}>
            <LiveStatsProvider liveData={liveData}>
                <HeadSection />
            </LiveStatsProvider>
            <Grid padding={0} sx={{ position: 'relative' }} container spacing={2}>
                <LiveProductsProvider liveId={liveData.id} >    
                    <ProductsSection />
                </LiveProductsProvider>
                <VideoPlayerSection />
                <LiveCommentsProvider liveId={liveData.id} >
                    <CommentSection  />
                </LiveCommentsProvider>
            </Grid>
        </Container>

    );
}