import Button from '@mui/material/Button';
import { useBoolean } from '@/hooks/use-boolean';
import Iconify from '@/components/iconify';
import NewMultiMediaModal from './New-multi-media-modal';


type Props = {
    onAddMedias: VoidFunction;
};

export default function NewMultiMediaButton({
    onAddMedias,
}: Props) {

    const OpenAddMedia = useBoolean();

    return (
        <>
            <Button variant="outlined" color="success" onClick={OpenAddMedia.onTrue}
                startIcon={<Iconify icon="eva:cloud-upload-fill" />}>Ajouter média</Button>
            <NewMultiMediaModal 
                open={OpenAddMedia.value} onClose={OpenAddMedia.onFalse} onAddMedias={onAddMedias}/>
        </>
    );
}