import Button from '@mui/material/Button';
import { useBoolean } from '@/hooks/use-boolean';
import UploadSelectMediaModal from './New-single-media-modal';
import Iconify from '@/components/iconify';


type ButtonProps = {
    onAddMedia: VoidFunction;
};

export default function NewSingleMediaButton({ onAddMedia}: ButtonProps) {
    const OpenAddMedia = useBoolean();

    return (
        <>
            <Button variant="outlined" color="primary" onClick={OpenAddMedia.onTrue}
                startIcon={<Iconify icon="eva:cloud-upload-fill" />}>
                Ajouter un média
            </Button>

            <UploadSelectMediaModal
                open={OpenAddMedia.value}
                onClose={OpenAddMedia.onFalse}
                onAddMedia={onAddMedia}
            />
        </>
    );
}
