"use client";

import React from "react";
import { Button, Stack } from "@mui/material";
import Iconify from "@/shared/components/iconify";
import {
  GridToolbarContainer,
  GridToolbarFilterButton,
  GridToolbarExport,
  GridToolbarQuickFilter,
} from "@mui/x-data-grid";

type CustomDataGridToolbarProps = {
  selectedRowIds: string[];
  onDeleteRows: () => void;
};

const CustomDataGridToolbar: React.FC<CustomDataGridToolbarProps> = ({
  selectedRowIds,
  onDeleteRows,
}) => {
  return (
    <GridToolbarContainer>
      <GridToolbarFilterButton />
      <GridToolbarExport />
      <GridToolbarQuickFilter placeholder="Recherche..."/>
      <Stack
        spacing={1}
        flexGrow={1}
        direction="row"
        alignItems="center"
        justifyContent="flex-end"
      >
        {!!selectedRowIds.length && (
          <Stack>
            <Button
              size="small"
              color="error"
              startIcon={<Iconify icon="solar:trash-bin-trash-bold" />}
              onClick={onDeleteRows}
            >
              Supprimer ({selectedRowIds.length})
            </Button>
          </Stack>
        )}
      </Stack>
    </GridToolbarContainer>
  );
};

export default CustomDataGridToolbar;
