"use client";

import Container from "@mui/material/Container";

import { paths } from "@/routes/paths";

import { useSettingsContext } from "@/shared/components/settings";

import CustomBreadcrumbs from "@/shared/components/custom-breadcrumbs";
import  EditTermColorForm from "./termeColor-edit-form";
 "./termeColor-edit-form";

// ----------------------------------------------------------------------

type Props = {
  id: string;
  colorId : string;
};

export default function ColorEditView({ id , colorId}: Props) {
  const settings = useSettingsContext();

  return (
    <Container maxWidth={settings.themeStretch ? false : "lg"}>
      <CustomBreadcrumbs
        heading="Modifier"
        links={[
            { name: "Tableau de bord", href: paths.dashboard.root },
            {
              name: "Produits",
              href: paths.dashboard.admin.product.root,
            },
            { name: "Attribut",
               href: paths.dashboard.admin.product.attribut },
            {
              name : "Colors",
              href : paths.dashboard.admin.product.termeColor.root(id)
            },
            {
                name: "Modifier la couleur"
            }
        ]}
        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />

      <EditTermColorForm attributid={id} colorId= {colorId}/>
    </Container>
  );
}
