"use client";

import Container from "@mui/material/Container";

import { paths } from "@/routes/paths";

import { useSettingsContext } from "@/shared/components/settings";

import CustomBreadcrumbs from "@/shared/components/custom-breadcrumbs";
import EditTermeImageForm from "./form-edit-termImage";
// import EditTermLabForm from "./termeLabel-edit-form";
 

// ----------------------------------------------------------------------

type Props = {
  id: string;
  imageId : string;
};

export default function ImageEditView({ id , imageId}: Props) {
  const settings = useSettingsContext();

  return (
    <Container maxWidth={settings.themeStretch ? false : "lg"}>
      <CustomBreadcrumbs
        heading="Modifier"
        links={[
            { name: "Tableau de bord", href: paths.dashboard.root },
            {
              name: "Produits",
              href: paths.dashboard.admin.product.root,
            },
            { name: "Attribut",
               href: paths.dashboard.admin.product.attribut },
            {
              name : "Image",
              href : paths.dashboard.admin.product.termeImage.root(id)
            },
            {
                name: "Modifier le terme image"
            }
        ]}
        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />

      <EditTermeImageForm attributid={id} imageId= {imageId}/>
    </Container>
  );
}
