"use client";

import Container from "@mui/material/Container";

import { paths } from "@/routes/paths";

import { useSettingsContext } from "@/shared/components/settings";

import CustomBreadcrumbs from "@/shared/components/custom-breadcrumbs";
import ProductCategoryEditForm from "./category-edit-form";
import { useGetCategories } from "@/shared/api/categorie";


// ----------------------------------------------------------------------

type Props = {
  id: string;
};

export default function CategoryEditView({ id }: Props) {
  
  
  const settings = useSettingsContext();
  const { categoriesData }  = useGetCategories();


  return (
    <Container maxWidth={settings.themeStretch ? false : "lg"}>
      <CustomBreadcrumbs
        heading="Modifier"
        links={[
          { name: "Tableau de bord", href: paths.dashboard.root },
          {
            name: "Catégorie",
            href: paths.dashboard.admin.product.category,
          },
          { name: "Modifier catégorie" },
        ]}
        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />

      <ProductCategoryEditForm id ={id.toString()} categories={categoriesData} />
    </Container>
  );
}
