"use client";

import Container from "@mui/material/Container";

import { paths } from "@/routes/paths";

import { useSettingsContext } from "@/shared/components/settings";

import CustomBreadcrumbs from "@/shared/components/custom-breadcrumbs";
import EditTermLabForm from "./termeLabel-edit-form";
 "./termeColor-edit-form";

// ----------------------------------------------------------------------

type Props = {
  id: string;
  labelId : string;
};

export default function LabelEditView({ id , labelId}: Props) {
  const settings = useSettingsContext();

  return (
    <Container maxWidth={settings.themeStretch ? false : "lg"}>
      <CustomBreadcrumbs
        heading="Modifier"
        links={[
            { name: "Tableau de bord", href: paths.dashboard.root },
            {
              name: "Produits",
              href: paths.dashboard.admin.product.root,
            },
            { name: "Attribut",
               href: paths.dashboard.admin.product.attribut },
            {
              name : "Label",
              href : paths.dashboard.admin.product.termeLabel.editLabel(id, labelId)
            },
            {
                name: "Modifier le label"
            }
        ]}
        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />

      <EditTermLabForm attributid={id} labelId= {labelId}/>
    </Container>
  );
}
