"use client";

import Container from "@mui/material/Container";

import { paths } from "@/routes/paths";

import { useSettingsContext } from "@/shared/components/settings";

import CustomBreadcrumbs from "@/shared/components/custom-breadcrumbs";
import TermChoixEditForm from "./termeChoix-edit-form";
// import EditTermLabForm from "./termeLabel-edit-form";
 "./termeColor-edit-form";

// ----------------------------------------------------------------------

type Props = {
  id: string;
  choiceId : string;
};

export default function ChoiceEditView({ id , choiceId}: Props) {
  const settings = useSettingsContext();

  return (
    <Container maxWidth={settings.themeStretch ? false : "lg"}>
      <CustomBreadcrumbs
        heading="Modifier"
        links={[
            { name: "Tableau de bord", href: paths.dashboard.root },
            {
              name: "Produits",
              href: paths.dashboard.admin.product.root,
            },
            { name: "Attribut",
               href: paths.dashboard.admin.product.attribut },
            {
              name : "choix",
              href : paths.dashboard.admin.product.termeChoix.root(id)
            },
            {
                name: "Modifier les choix"
            }
        ]}
        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />

      <TermChoixEditForm attributid={id} choiceId={choiceId}/>
    </Container>
  );
}
