import { Box, InputAdornment, MenuItem } from "@mui/material";
import { RHFTextField, RHFSelect } from "@/shared/components/hook-form";
import { useGetShippingClasses } from "@/shared/api/shipping";

export default function ProductExpedition() {
  const { shippingClassData} = useGetShippingClasses();

  return (
    <>
      <RHFTextField
        name="weight"
        variant="outlined"
        label="Poids (g)"
        InputProps={{
          startAdornment: <InputAdornment position="start">g</InputAdornment>,
        }}
      />

      <Box
        columnGap={2}
        rowGap={3}
        display="grid"
        gridTemplateColumns={{
          xs: "repeat(1, 1fr)",
          md: "repeat(3, 1fr)",
        }}
      >
        <RHFTextField name="lengthP" label="Longueur" />
        <RHFTextField name="widthP" label="Largeur" />
        <RHFTextField name="heightP" label="Hauteur" />
      </Box>

      <RHFSelect
        name="shippingClassId"
        label="Classe d’expédition"
        variant="outlined"
      >
        {shippingClassData.map((shippingClass) => (
          <MenuItem key={shippingClass.id} value={shippingClass.id}>
            {shippingClass.name}
          </MenuItem>
        ))}
      </RHFSelect>
    </>
  );
}
