"use client";

import Container from "@mui/material/Container";
import { paths } from "@/routes/paths";

import { useSettingsContext } from "@/shared/components/settings";
import CustomBreadcrumbs from "@/shared/components/custom-breadcrumbs";

import ProductNewEditForm from "./MainForm";

// ----------------------------------------------------------------------

export default function ProductCreateView() {
  const settings = useSettingsContext();

  return (
    <Container maxWidth={settings.themeStretch ? false : "lg"}>
      <CustomBreadcrumbs
        heading="Ajouter un nouveau produit"
        links={[
          {
            name: "Tableau de bord",
            href: paths.dashboard.root,
          },
          {
            name: "Produits",
            href: paths.dashboard.admin.product.root,
          },
          { name: "Nouveau Produit" },
        ]}
        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />
      <ProductNewEditForm />
    </Container>
  );
}
