"use client"

import { ShippingMethodType } from '@/contexts/types/Shipping'
import EditMondialRelay from './EditShippingMethodMondialRelay';
import EditColissimoWithoutSignature from './EditColissimoWithoutSignature';
import EditColissimoWithSignature from './EditColissimoWithSignature';
import EditFreeShipping from './EditFreeShipping';
import EditFlatRate from './EditFlatRate';
import EditPointOfSale from './EditPointOfSale';

type Props = {
    id: string;
    type: ShippingMethodType
}

export default function EditShippingMethodView({ id, type }: Props) {
    
    const renderComponent = () => {
        switch (type) {
            case ShippingMethodType.FreeShipping:
                return <><EditFreeShipping id={id} /></>;
            case ShippingMethodType.FlatRate:
                return <><EditFlatRate id={id} /></>;
            case ShippingMethodType.ColissimoWithoutSignature:
                return <><EditColissimoWithoutSignature id={id} /></>;
            case ShippingMethodType.ColissimoWithSignature:
                return <><EditColissimoWithSignature id={id} /></>;
            case ShippingMethodType.MondialRelay:
                return <><EditMondialRelay id={id} /></>;
            case ShippingMethodType.PointOfSale:
                return <><EditPointOfSale id={id} /></>;
            default:
                return null;
        }
    };


    return (
        <>
            {renderComponent()}
        </>
    );
}
