"use client";

import Container from "@mui/material/Container";
import { _userList } from "@/shared/_mock";
import { paths } from "@/routes/paths";
import { useSettingsContext } from "@/components/settings";
import CustomBreadcrumbs from "@/components/custom-breadcrumbs";
import AddSupplierForm from "./add-supplier-form";

// ----------------------------------------------------------------------
type Props = {
  id: string;
};
export default function SupplierCreateView({ id }: Props) {
  const settings = useSettingsContext();

  const currentUser = _userList.find((user) => user.id === id);

  return (
    <Container maxWidth={settings.themeStretch ? false : "lg"}>
      <CustomBreadcrumbs
      heading="Ajouter un fournisseur"
        links={[
          {
            name: "Tableau de bord",
            href: paths.dashboard.root,
          },
          {
            name: "Fournisseur",
            href: paths.dashboard.admin.supplier.list,
          },
          { name: currentUser?.name },
        ]}
        rollbackLink={paths.dashboard.admin.supplier.list} 

        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />

      <AddSupplierForm />
    </Container>
  );
}
