import Dialog from "@mui/material/Dialog";
import DialogTitle from "@mui/material/DialogTitle";
import DialogContent from "@mui/material/DialogContent";
import IconButton from "@mui/material/IconButton";
import CloseIcon from "@mui/icons-material/Close";
import AddSupplierForm from "@/shared/sections/supplier/add supplier/add-supplier-form";

type Props = {
 open: boolean;
 onClose: () => void;
 onSuccess?: () => void;
};

export default function AddSupplierDialog({ open, onClose, onSuccess }: Props) {
 return (
   <Dialog 
     fullWidth 
     maxWidth="md" 
     open={open} 
     onClose={onClose}
   >
     <DialogTitle>
       Nouveau Fournisseur
       <IconButton
         aria-label="close"
         onClick={onClose}
         sx={{
           position: 'absolute',
           right: 8,
           top: 8,
           color: (theme) => theme.palette.grey[500],
         }}
       >
         <CloseIcon />
       </IconButton>
     </DialogTitle>
     <DialogContent>
       <AddSupplierForm 
         onSuccess={() => {
           onSuccess?.();
           onClose();
         }}
         isDialog 
       />
     </DialogContent>
   </Dialog>
 );
}
