import Dialog from "@mui/material/Dialog";
import DialogTitle from "@mui/material/DialogTitle";
import DialogContent from "@mui/material/DialogContent";
import IconButton from "@mui/material/IconButton";
import CloseIcon from "@mui/icons-material/Close";
import UserNewEditForm from "@/shared/sections/user/add-user/user-new-edit-form";

type Props = {
 open: boolean;
 onClose: () => void;
 onSuccess?: () => void;
};
export default function AddDriverDialog({ open, onClose, onSuccess }: Props) {
 return (
   <Dialog 
     fullWidth 
     maxWidth="md" 
     open={open} 
     onClose={onClose}
   >
     <DialogTitle>
       Nouveau Chauffeur
       <IconButton
         onClick={onClose}
         sx={{ position: 'absolute', right: 8, top: 8 }}
       >
         <CloseIcon />
       </IconButton>
     </DialogTitle>
     <DialogContent>
       <UserNewEditForm 
         onSuccess={() => {
           onSuccess?.();
           onClose();
         }}
         isDialog
         isDriver // Force le rôle DRIVER
       />
     </DialogContent>
   </Dialog>
 );
}
