import { Button, Modal, Stack, Typography } from "@mui/material";

type SupplierOrderCreationModalMessageProps = {
    open: boolean;
    handleClose: () => void;
    messageType: string;
    type: string;
}

const SupplierOrderCreationModalMessage = ({ open, handleClose, messageType,type }: SupplierOrderCreationModalMessageProps) => {
    return (
        <Modal
            className="flex items-center justify-center"
            open={open}
            onClose={handleClose}
            aria-labelledby="modal-modal-title"
            aria-describedby="modal-modal-description"
        >
            <div className="bg-white rounded-lg shadow p-6 flex flex-col justify-center items-center">
                <Typography
                    variant="h6"
                    component="h2"
                    sx={{ mb: 3 }}
                >{
                        type === "edit" ? "Modification de la commande" : "Création de la commande"
                    }
                </Typography>
                <Typography
                    variant="body2"
                    sx={{ mb: 2, fontSize: 20 }}
                >
                    {
                        messageType === "success" ?
                            (type === "edit" ? "La commande a été modifiée avec succès" : "La commande a été créée avec succès")
                            : `Une erreur s'est produite lors de la ${type === "edit" ? 'modification': 'creation'}  de la commande`
                    }
                </Typography>
                <Stack>
                    <Button variant="contained" onClick={handleClose}>
                        Fermer
                    </Button>
                </Stack>
            </div>
        </Modal>

    );
}

export default SupplierOrderCreationModalMessage;