'use client';

import Container from '@mui/material/Container';

import { paths } from '@/routes/paths';

import { useSettingsContext } from '@/components/settings';
import CustomBreadcrumbs from '@/components/custom-breadcrumbs';

import UserNewEditForm from './user-new-edit-form';
import { _roles } from '@/shared/_mock';

// ----------------------------------------------------------------------

export default function UserCreateView() {
  const settings = useSettingsContext();

  return (
    <Container maxWidth={settings.themeStretch ? false : 'lg'}>
      <CustomBreadcrumbs
        heading="Créer un nouveau utilisateur"
        links={[
          {
            name: 'Tableau de bord',
            href: paths.dashboard.root,
          },
          {
            name: 'Utilisateur',
            href: paths.dashboard.admin.user.all_users,
          },
          { name: 'Nouveau utilisateur' },
        ]}
        rollbackLink={paths.dashboard.admin.user.all_users} 

        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />

      <UserNewEditForm />
    </Container>
  );
}
