"use client";
import Container from "@mui/material/Container";
import { paths } from "@/routes/paths";
import { useSettingsContext } from "@/components/settings";
import CustomBreadcrumbs from "@/components/custom-breadcrumbs";
import UserRoleEditor from "./user-role-editor";
import { _roles } from "@/shared/_mock";
import { Button } from "@mui/material";
import EditOutlinedIcon from '@mui/icons-material/EditOutlined';

// ----------------------------------------------------------------------

export default function UserRoleEditorView() {
  const settings = useSettingsContext();

  return (
    <Container maxWidth={settings.themeStretch ? false : "lg"}>
      <CustomBreadcrumbs
        heading="Éditeur de Rôle Utilisateur"
        links={[
          {
            name: "Tableau de bord",
            href: paths.dashboard.root,
          },
          {
            name: "Utilisateur",
            href: paths.dashboard.admin.user.all_users,
          },
          { name: "Éditeur de rôle" },
        ]}
        rollbackLink={paths.dashboard.admin.user.all_users} 

        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />
      <div style={{ display: 'flex', justifyContent: 'flex-end' }}>
        <Button
          variant="contained"
          startIcon={<EditOutlinedIcon />}
          sx={{
            mb: { xs: 3, md: 5 },
          }}
        >
           Mettre à jour le rôle
        </Button>
      </div>

      <UserRoleEditor/>
    </Container>
  );
}
