import React from 'react';
import Link from '@mui/material/Link';
import Stack from '@mui/material/Stack';
import { GridCellParams } from '@mui/x-data-grid';
import ListItemText from '@mui/material/ListItemText';
import { fCurrency } from '@/utils/format-number';
import { fTime, fDate } from '@/utils/format-time';


type ParamsProps = {
  params: GridCellParams;
};



export function RenderCellAmount({ params }: ParamsProps) {
  return (
    <Stack direction="row" alignItems="center" spacing={1}>
      <ListItemText primary={fCurrency(params.row.amount)} />
    </Stack>
  );
}

export function RenderCellEmail({ params }: ParamsProps) {
  return <ListItemText primary={params.row.email} />;
}

export function RenderCellCreatedAt({ params }: ParamsProps) {
  return (
    <ListItemText primary={fDate(params.row.createdAt)} secondary={fTime(params.row.createdAt)} />
  );
}

export function RenderCellExperationDate({ params }: ParamsProps) {
  return (
    <ListItemText primary={fDate(params.row.expirationDate)} secondary={fTime(params.row.expirationDate)} />
  );
}

export function RenderCellLegend({ params }: ParamsProps) {
  return <ListItemText primary={params.row.legend} />;
}