"use client";

import Container from "@mui/material/Container";
import { paths } from "@/routes/paths";
import { useSettingsContext } from "@/shared/components/settings";
import CustomBreadcrumbs from "@/shared/components/custom-breadcrumbs";
import EditVoucher from "./EditVoucher";

// ----------------------------------------------------------------------

type Props = {
  voucherId: string;
};

export default function VoucherEditView({ voucherId }: Props) {
  const settings = useSettingsContext();

  return (
    <Container maxWidth={settings.themeStretch ? false : "xl"}>
      <CustomBreadcrumbs
        heading="Modifier le bon d'achat"
        links={[
          { name: "Tableau de bord", href: paths.dashboard.root },
          {
            name: "Bons d'achat",
            href: paths.dashboard.admin.voucher.root,
          },
          { name: "Modifier le bon d'achat" },
        ]}
        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />

      <EditVoucher voucherId={Number(voucherId)} />
    </Container>
  );
}
