export type ICardLive = {
  id: string;
  EditDate: Date;
  description: string;
  startDate: Date;
  totalSales: number;
  nbrUser: number;
  endDate: Date;
  productPay: number;
  productDelet: number;
  productseen: number;
};

export type IItemCart = {
  id: number;
  quantity: number;
  productType: string;
  productId: number;
  totalPrice: number;
  product: {
    productId: number;
    name: string;
    ugs: string;
    expirationDate: Date;
    image: number;
    mainImagePath: string;
    categoriesIds: number[];
    regularPrice: number;
    promoPrice: number;
  };
  source: string; 
  status: string;
  isExpired: boolean;
  expirationDate: Date;
  sessionId: number;
};


export type ICart = {
  id: number;
  clientId: number;
  totalPrice: number;
  typeCountDown: string;
  expirationDate: Date;
  errorsMessages?: string[];
  infos?: string[];
  items: IItemCart[];
  promoCodes?: string[];
  promoCodeIds?: number[];
  giftCardIds?: number[];
};

export type ICartTableFilterValue = string | Date | null;

export type ICartTableFilters = {
  name: string;
  status: string;
  startDate: Date | null;
  endDate: Date | null;
};

export enum IItemCartStatus {
  CONSULTED ,
  NOT_CONSULTED ,
  DELETED_BO,
  DELETED_SITE

}
export interface ICartDTO {
  id: number; 
  clientDTO: IClientCartDTO;
  subTotalPrice: number; 
  itemsCount: number; 
  productDetailsCartDTOS: IDetailsProductCartDTO[]; 
}

export interface IClientCartDTO {
  id: number; 
  phoneNumber: string;
  firstName: string;
  lastName: string;
  email: string;
  uid:number;
}

export interface IProductCartDTO {
  productId: number; 
  name: string;
  ugs: string;
  nameUri: string;
  expirationDate: string; 
  image: number; 
  mainImagePath: string;
  categoriesIds: number[]; 
  regularPrice: number; 
  promoPrice: number;
}

export interface IDetailsProductCartDTO {
  itemId: number; 
  quantity: number,
  totalPrice: number,
  productCartDTOS: IProductCartDTO,
  status?: string;
  sessionOrderId?:number;
  source:string;
}
export interface ICartClientPage {
  content: ICartDTO[];
  pageable: {
    sort: {
      empty: boolean;
      sorted: boolean;
      unsorted: boolean;
    },
    offset: number;
    pageNumber: number;
    pageSize: number;
    unpaged: boolean;
    paged: boolean;
  },
  totalPages: number,
  totalElements: number,
  last: boolean;
  sort: {
    empty: boolean;
    sorted: boolean;
    unsorted: boolean;  };
}

export type SearchClientCartParams ={
  keyword?: string;
  productKeyword?:string;
  page?: number;
  pageSize?: number;
}
