import type { IDateValue } from './common';

// ----------------------------------------------------------------------

export type IChatAttachment = {
  name: string;
  size: number;
  type: string;
  path: string;
  preview: string;
  createdAt: IDateValue;
  modifiedAt: IDateValue;
};

export type IChatMessage = {
  id: string;
  body: string;
  senderId: string;
  contentType: string;
  createdAt: IDateValue;
  attachments: IChatAttachment[];
};

export type IChatParticipant = {
  id: string;
  name: string;
  role: string;
  email: string;
  address: string;
  avatarUrl: string;
  phoneNumber: string;
  lastActivity: IDateValue;
  status: 'online' | 'offline' | 'alway' | 'busy';
};

export type IChatConversations = {
  id: string;
  title : string;
  createdAt: string;
  user_id : any;
  messages: IMessageItem[];
};

export type IMessageItem = {
  id: string;
  content: string;
  owner: string;
  timestamp: string;
};

export type IMessageSocketItem = {
  ticketId: string,
  senderId: string,
  content: string,
  owner : string,
}