import { CustomProduct } from '../sections/supplier/supplier-orders/add-edit-SupplierOrder/order-new-edit-details';
import { IAddressItem } from './address';

// ----------------------------------------------------------------------

export type IInvoiceTableFilterValue = string | string[] | Date | null;

export type IInvoiceTableFilters = {
  name: string;
  service: string[];
  status: string;
  startDate: Date | null;
  endDate: Date | null;
  driver: string;
};

// ----------------------------------------------------------------------

export type ISizeColor = {
  id: number;
  value: string;
};

export type IVariation = {
  id: number;
  name: string;
  quantity: number;
  sku: string;
  price: number;
  color: ISizeColor;
  size: ISizeColor;
};

export type IInvoiceItem = {
  total: any;
  id: number;
  quantity: number;
  description: string;
  productName: string;
  productId: number;
  sizes: any[];
  colors: any[];
  service: string;
  price: number;
  selectedProduct?: CustomProduct,
  type: string;
  variations ?: any[];
};


export type IInvoice = {
  id: string;
  sent: number;
  dueDate: Date;
  taxes: number;
  status: string;
  subTotal: number;
  createDate: Date;
  discount: number;
  driver: string;
  totalAmount: number;
  invoiceNumber: string;
  shipping: number;
  items: IInvoiceItem[];
  invoiceTo: IAddressItem;
  invoiceFrom: IAddressItem;

 
};