// ----------------------------------------------------------------------

export type IMediaFilterValue = string | string[] | Date | null;

export type IMediaFilters = {
  name: string;
  startDate: Date | null;
  endDate: Date | null;
};

// ----------------------------------------------------------------------
export enum FileType {
  IMAGE = "IMAGE",
}

export const fileTypeLabels = {
  [FileType.IMAGE]: "IMAGE",
};

export enum Visibility {
  PUBLIC = "PUBLIC",
  PRIVATE = "PRIVATE",
  PROTECTED = "PROTECTED",
}

export const visibilityLabels = {
  [FileType.IMAGE]: "IMAGE",
};

export enum AccessLevel {
  READ = "READ",
  WRITE = "WRITE",
}

export type IMedia = {
  id: string;
  title: string;
  description: string;
  name: string;
  createdAt: Date | number | string;
  modifiedAt: Date | number | string;
  size: number;
  userId: string;
  fileType: FileType;
  visibility: Visibility;
  permissions: AccessLevel;
  path: string;
  uniqueId: string;
  url: string;
};
