import { IAddressItem } from './address';


export type ISaleOrderTableFilterValue = string | string[] | Date | null;

export type IOrderTableFilterValue = string | Date | null;

export type ISaleOrderTableFilters = {
  name: string;
  service: string[];
  status: string;
  creationDate: Date | null;
};


// ----------------------------------------------------------------------

export type ISizeColor = {
  id: number;
  value: string;
};

export type IVariation = {
  id: number;
  name: string;
  quantity: number;
  sku: string;
  price: number;
  color: ISizeColor;
  size: ISizeColor;
};

export interface SaleOrderItem {
  productId: any;
  idItem: string;
  productName: string;
  purchasePrice: number;
  quantity: number;
  idProduct: string;
}


export interface SaleOrder {
  saleOrderId: string;
  supplierName: string;
  supplierId: number;
  creationDate: string;  // You may want to convert this to a Date object later
  total: number;
  saleOrderItems: SaleOrderItem[];  // List of items in the sale order
}