
export const USER_STATUS_OPTIONS = [
  { value: "APPROVED", label: "Actif" },
  { value: "PENDING", label: "Non actif" },
  { value: "BANNED", label: "Banni" }
];

  export type ILiveItem = {
    id: string;
    name: string;
    description: string;
    startedDate: Date;
    lastModification: Date;
    totalSales: number;
    clientsNumber: number;
    orderProductsNumber: number;
    expirationDate: Date;
    consultedProductsNumber: number;
    deletedProductsNumber: number;
    paidProductsNumber: number;
    type: string;
    live?:string;
    status: string;
  };

  export const LiveTyple = [
    { value: "Live", label: "Live" },
    { value: "Demande_MP", label: "Demande MP" },
    { value: "Article_a_controle", label: "Article a contrôlé" },
    { value: "Autre", label: "Autre" },
  ];
  export type SalesSessionTableFilterValue = string | string[];

export type SalesSessionTableFilters = {
  name: string;
  type: string;
  startDate: Date|null;
  endDate: Date|null;

};


export type IUserItem = {
  id: string;
  uid:string;
  firstName: string;
  lastName:string;
  email: string;
  imageUrl: string;
  pseudo: string;
  createdAt: Date;
  status: string;
  phoneNumber: string;
};
export type OrderStatus = 'PENDING' | 'COMPLETED' | 'CANCELLED';


export interface IClientPage {
  content: IUserItem[];
  pageable: {
    sort: {
      empty: boolean;
      sorted: boolean;
      unsorted: boolean;
    },
    offset: number;
    pageNumber: number;
    pageSize: number;
    unpaged: boolean;
    paged: boolean;
  },
  totalPages: number,
  totalElements: number,
  last: boolean;
  sort: {
    empty: boolean;
    sorted: boolean;
    unsorted: boolean;  };
}

export type UserCountByStatus = [string, number];

export type SearchClientParams ={
  keyword?: string;
  status?:string;
  page?: number;
  size?: number;
  sortBy?: string;
  sortDir?: string;
}

export type IUnregistredClientItem = {
  id: string;
  pseudo: string;
  creationDate: Date | string;
};

export interface IUnregistredClientPage {
  content: IUnregistredClientItem[];
  pageable: {
    sort: {
      empty: boolean;
      sorted: boolean;
      unsorted: boolean;
    },
    offset: number;
    pageNumber: number;
    pageSize: number;
    unpaged: boolean;
    paged: boolean;
  },
  totalPages: number,
  totalElements: number,
  last: boolean;
  sort: {
    empty: boolean;
    sorted: boolean;
    unsorted: boolean;  };
}


export type IOrder = {
  orderId:string;
  id: string;
  name: string;
  email: string;
  title: string;
  UGS: string | number;
  quantity: number;
  pseudo: string;
  CreatedAt: Date | string;
  EditDate: Date | string;
  price: number;
  statutPanier: string;
  statutOrder: string;
};
export type ItemStatus = 'CONSULTED' | 'DELETED' | 'NOT_CONSULTED';

export interface IItem {
  productId: number;
  quantity: number;
  product:IProduct;
  status:ItemStatus;
}

export const Order_STATUS_OPTIONS = [
  { value: "CONSULTED", label: "Consulter" },
  { value: "NOT_CONSULTED", label: "Non consulter" },
  { value: "DELETED_SITE", label: "Supprimer depuis site" },
  { value: "DELETED_BO", label: "Supprimer depuis BO" },

];
export type IProduct = {
  productId: string;
  image: string;
  name: string;
  quantity: number;
  ugs: string | number;
};
export interface ISessionOrder {
  id: number;
  clientId: number;
  client: IUserItem;
  createdDate: string;
  status: OrderStatus;
  itemCartDTO: IItem;
  price:number;
  lastModification: string;
}

export type IUserCartTableFilterValue = string ;

export type IUserCartTableFilters = {
  keyword: string;
  productKeyword:string;
};

export type SearchSaleSessionParams ={
  name?: string;
  type?: string;
  startDate?: Date | null ;
  endDate?: Date | null;
  page?: number;
  size?: number;
  sortBy?: string;
  sortDir?: string;
}

export interface ISaleSessionPage {
  content: ILiveItem[];
  pageable: {
    sort: {
      empty: boolean;
      sorted: boolean;
      unsorted: boolean;
    },
    offset: number;
    pageNumber: number;
    pageSize: number;
    unpaged: boolean;
    paged: boolean;
  },
  totalPages: number,
  totalElements: number,
  last: boolean;
  sort: {
    empty: boolean;
    sorted: boolean;
    unsorted: boolean;  };
}

