
export interface OrderLine {
    id: number;
    orderId: number;
    productId: number;
    quantity: number;
}

export interface Note {
    id: number;
    orderId: number;
    content: string;
    createdAt: string;
    noteType: string;
}

export interface EditHistory {
    id: number;
    message: string;
    userId: number;
    createdAt: string;
    orderId: number;
}

export interface Order {
    id: number;
    clientId: number;
    createdAt: string;
    total: number;
    status: string;
    orderLines: OrderLine[];
    note: Note;
    shippingMethodId: number;
    shippingPrice: number;
    costs: number;
    promoCodeId: string;
    origin: string;
    deviceType: string;
    editHistory: EditHistory[];
}

export interface OrdersResponse {
    orders: Order[];
}
